# classes/phing/parser/NestedElementHandler.php

## \NestedElementHandler
jump to top

The nested element handler class.

This class handles the occurance of runtime registered tags like datatypes (fileset, patternset, etc) and it's possible nested tags. It introspects the implementation of the class and sets up the data structures.

Extends from
  \AbstractHandler
access
  public
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.parser
version
  $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $

### Properties

`object $child= ''`

Reference to the child object that represents the child tag of this nested element

Details

Type
  object

`$childWrapper= ''`

Reference to the child wrapper object

@var object

Details

Type

`object $parent= ''`

Reference to the parent object that represents the parent tag of this nested element

Details

Type
  object

`$parentWrapper= ''`

Reference to the parent wrapper object

@var object

Details

Type

`$target= ''`

Reference to the related target object

@var object the target instance

Details

Type

### Methods

`__construct( object $parser, object $parentHandler, object $configurator, object $parent, object $parentWrapper, $target ) :`
Constructs a new NestedElement handler and sets up everything.

@param object the ExpatParser object

Parameters

Name | Type | Description
--- | --- | ---
$parser | object | the parent handler that invoked this handler
$parentHandler | object | the ProjectConfigurator object
$configurator | object | the parent object this element is contained in
$parent | object | the parent wrapper object
$parentWrapper | object | the target object this task is contained in
$target |  |

Details

access
  public

`characters( string $data ) :`
Handles character data.
Parameters

Name | Type | Description
--- | --- | ---
$data | string | the CDATA that comes in

Details

access
  public
throws
  if the CDATA could not be set-up properly

`init( string $propType, array $attrs ) :`
Executes initialization actions required to setup the data structures related to the tag.

<

p> This includes:

- creation of the nested element
- calling the setters for attributes
- adding the element to the container object
- adding a reference to the element (if id attribute is given)

Parameters

Name | Type | Description
--- | --- | ---
$propType | string | the tag that comes in
$attrs | array | attributes the tag carries

Details

access
  public
throws
  if the setup process fails

`startElement( string $name, array $attrs ) :`
Checks for nested tags within the current one. Creates and calls handlers respectively.
Parameters

Name | Type | Description
--- | --- | ---
$name | string | the tag that comes in
$attrs | array | attributes the tag carries

Details

access
  public

Documentation was generated by DocBlox 0.13.1.